> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup OAuth client



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /oauth/client/{client_id}
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /oauth/client/{client_id}:
    get:
      tags:
        - oauth-server
      summary: Lookup OAuth client
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 256
          required: true
          name: client_id
          in: path
      responses:
        '200':
          description: Registered client metadata
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientLookupResponse'
        '404':
          description: Client not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientLookupError'
components:
  schemas:
    ClientLookupResponse:
      type: object
      properties:
        client_id:
          type: string
        redirect_uris:
          type: array
          items:
            type: string
        client_name:
          type: string
          nullable: true
        grant_types:
          type: array
          items:
            type: string
        response_types:
          type: array
          items:
            type: string
        token_endpoint_auth_method:
          type: string
      required:
        - client_id
        - redirect_uris
        - client_name
        - grant_types
        - response_types
        - token_endpoint_auth_method
    ClientLookupError:
      type: object
      properties:
        error:
          type: string
      required:
        - error

````